WhatsApp · Business Agent
Fetches a crawled website.
GET
https://api.pozy.ai/v1/accounts/{accountId}/business-agent/websites/{websiteId}getBusinessAgentWebsite
Guide: Business AI agent
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string | |
websiteIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent/websites/616cc5fb5e6c4c7d91d9abbf" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent/websites/616cc5fb5e6c4c7d91d9abbf", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent/websites/616cc5fb5e6c4c7d91d9abbf",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
urlstring (URL)requiredincluded_sub_domainsarray of stringincluded_url_patternsarray of stringexcluded_sub_domainsarray of stringexcluded_url_patternsarray of stringsingle_urlsarray of string (URL)idstringrequiredcrawl_statusstringcrawl_errorstringpages_crawledintegerlast_crawled_atintegercreated_atinteger
200 response
{
"url": "https://pozy.ai/media/example-1.jpg",
"included_sub_domains": [
"string"
],
"included_url_patterns": [
"https://pozy.ai/media/example-1.jpg"
],
"excluded_sub_domains": [
"string"
],
"excluded_url_patterns": [
"https://pozy.ai/media/example-1.jpg"
],
"single_urls": [
"https://pozy.ai/media/example-1.jpg"
],
"id": "6bfebd43ddc270f6d2c56fc5",
"crawl_status": "active",
"crawl_error": "string",
"pages_crawled": 1,
"last_crawled_at": 1,
"created_at": 1
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Business Agent
GETGet agent setup statusPOSTCreate the agentGETList agent settingsPATCHUpdate agent settingsGETList allowlisted consumersPOSTAllowlist a consumerDELRemove an allowlisted consumerGETGet business informationPUTReplace business informationDELReset business informationGETList FAQsPOSTCreate a FAQGETGet a FAQPUTUpdate a FAQDELDelete a FAQGETList crawled websitesPOSTAdd a website to crawlPUTUpdate a crawled websiteDELRemove a crawled websiteGETList knowledge filesPOSTUpload a knowledge fileGETGet a knowledge fileDELDelete a knowledge fileGETList skillsPOSTCreate a skillGETGet a skillPUTUpdate a skillDELDelete a skillGETList UI skillsPOSTCreate a UI skillGETGet a UI skillPUTUpdate a UI skillDELDelete a UI skillGETList connectorsPOSTCreate a connectorGETGet a connectorPUTUpdate a connectorDELDelete a connectorPOSTSet connector credentialsPOSTRefresh MCP connector toolsGETGet connector failure logsGETList connector toolsPOSTCreate a connector toolGETGet a connector toolPUTUpdate a connector toolDELDelete a connector toolPOSTRun a connector tool onceGETGet usage budgetsPUTReplace usage budgetsPOSTSend a test messagePOSTSend a business eventGETGet a business event statusGETRead evaluation dataPOSTStart an evaluation run